
D4Science Infrastructure - Task #13183

Task # 13158 (Closed): Dismiss SmartArea VO

Remove the services running on SmartArea VO

Jan 18, 2019 10:52 AM - Roberto Cirillo

Status: Closed Start date: Jan 18, 2019

Priority: Normal Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: Automated provisioning Estimated time: 0.00 hour

Target version: D4Science Infrastructure upgrade to

gCube 4.13.1

  

Infrastructure: Production   

Description

The following list contains the services currently running on SmartArea VO. The SmartArea VO scopes should be removed from

these services.

dataminer instances

catalogue ws

meteo-data

registry (icproxy)

rstudio instances

sdi

socialnetworking

thredds

HomeLibrary

StorageHub

History

#1 - Jan 30, 2019 11:43 AM - Roberto Cirillo

- Status changed from New to In Progress

#2 - Jan 30, 2019 11:52 AM - Roberto Cirillo

The SmartArea VO has been removed from the Dataminer and StorageHub playbook. It will be executed tomorrow, during the D4Science upgrade.

#4 - Mar 14, 2019 10:13 AM - Roberto Cirillo

Dataminer and StorageHub have been removed during the last upgrade. Now I'm going to remove the accouting services.

#5 - Mar 14, 2019 11:12 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Lucio Lelii

- % Done changed from 0 to 50

accounting services removed.

I've tried also to remove thredds and rstudio instances but I've the following exception on both the services:

2019-03-14 10:57:24,581 [catalina-exec-10] INFO  RequestAccounting: REQUEST START ON WhnManager:VREManagement(

removeFromContext) CALLED FROM UNKNOWN@146.48.77.31 IN SCOPE /d4science.research-infrastructures.eu 

2019-03-14 10:57:25,722 [pool-6-thread-10] WARN  RegisterApplicationManagerObserver: error on onShutdown of ja

va.util.concurrent.FutureTask on token 6df5088d-8463-4add-a7fd-cb8c864a5890-843339462

java.lang.NullPointerException: null

        at org.gcube.data.transfer.service.DTServiceAppManager.onShutdown(DTServiceAppManager.java:38)

        at org.gcube.smartgears.RegisterApplicationManagerObserver$ShutDownAppManager.run(RegisterApplicationM

anagerObserver.java:186)

        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)

        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)

        at java.lang.Thread.run(Thread.java:748)

2019-03-14 10:57:25,726 [catalina-exec-10] ERROR RegisterApplicationManagerObserver: something failed getting 

token

java.lang.NullPointerException: null
        at org.gcube.smartgears.RegisterApplicationManagerObserver.onRemove(RegisterApplicationManagerObserver

.java:86)

        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

        at java.lang.reflect.Method.invoke(Method.java:498)

        at org.gcube.common.events.impl.Observer.onEventImmediate(Observer.java:99)

        at org.gcube.common.events.impl.Observer.onEvent(Observer.java:93)

        at org.gcube.common.events.impl.DefaultHub.notifyObservers(DefaultHub.java:171)

        at org.gcube.common.events.impl.DefaultHub.fire(DefaultHub.java:93)

        at org.gcube.smartgears.managers.ApplicationManager$1.onRemoveToken(ApplicationManager.java:321)

        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

        at java.lang.reflect.Method.invoke(Method.java:498)

        at org.gcube.common.events.impl.Observer.onEventImmediate(Observer.java:99)

        at org.gcube.common.events.impl.Observer.onEvent(Observer.java:93)

        at org.gcube.common.events.impl.DefaultHub.notifyObservers(DefaultHub.java:171)

        at org.gcube.common.events.impl.DefaultHub.fire(DefaultHub.java:93)

        at org.gcube.smartgears.managers.ContainerManager.removeToken(ContainerManager.java:201)

        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

        at java.lang.reflect.Method.invoke(Method.java:498)

        at org.gcube.common.events.impl.Observer.onEventImmediate(Observer.java:99)

        at org.gcube.common.events.impl.Observer.onEvent(Observer.java:93)

        at org.gcube.common.events.impl.DefaultHub.notifyObservers(DefaultHub.java:171)

        at org.gcube.common.events.impl.DefaultHub.fire(DefaultHub.java:93)

        at org.gcube.vremanagement.whnmanager.jaxws.ws.WhnManagerImpl.removeFromContext(WhnManagerImpl.java:85

)

        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

        at java.lang.reflect.Method.invoke(Method.java:498)

        at com.sun.xml.ws.api.server.InstanceResolver$1.invoke(InstanceResolver.java:246)

        at com.sun.xml.ws.server.InvokerTube$2.invoke(InvokerTube.java:146)

        at com.sun.xml.ws.server.sei.EndpointMethodHandler.invoke(EndpointMethodHandler.java:257)

        at com.sun.xml.ws.server.sei.SEIInvokerTube.processRequest(SEIInvokerTube.java:93)

        at com.sun.xml.ws.api.pipe.Fiber.__doRun(Fiber.java:598)

        at com.sun.xml.ws.api.pipe.Fiber._doRun(Fiber.java:557)

        at com.sun.xml.ws.api.pipe.Fiber.doRun(Fiber.java:542)

        at com.sun.xml.ws.api.pipe.Fiber.runSync(Fiber.java:439)

        at com.sun.xml.ws.server.WSEndpointImpl$2.process(WSEndpointImpl.java:243)

        at com.sun.xml.ws.transport.http.HttpAdapter$HttpToolkit.handle(HttpAdapter.java:471)

        at com.sun.xml.ws.transport.http.HttpAdapter.handle(HttpAdapter.java:244)

        at com.sun.xml.ws.transport.http.servlet.ServletAdapter.handle(ServletAdapter.java:135)

        at com.sun.xml.ws.transport.http.servlet.WSServletDelegate.doGet(WSServletDelegate.java:129)

        at com.sun.xml.ws.transport.http.servlet.WSServletDelegate.doPost(WSServletDelegate.java:160)

        at com.sun.xml.ws.transport.http.servlet.WSServlet.doPost(WSServlet.java:75)

        at javax.servlet.http.HttpServlet.service(HttpServlet.java:646)

        at javax.servlet.http.HttpServlet.service(HttpServlet.java:727)

        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:303)

        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

        at org.gcube.smartgears.managers.RequestManager.doFilter(RequestManager.java:95)

        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:241)

        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

        at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:501)

        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:98)

        at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:950)

        at org.apache.catalina.valves.RemoteIpValve.invoke(RemoteIpValve.java:683)

        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)

        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:408)

        at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1041)

        at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:607)

        at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:313)

 @lucio.lelii@isti.cnr.it any hints?

#6 - Mar 14, 2019 12:39 PM - Roberto Cirillo

Removed sdi service by Ansible
#7 - Mar 14, 2019 05:36 PM - Roberto Cirillo

Removed icproxy service (registry.d4science.org) by ansible.

#9 - Mar 14, 2019 06:18 PM - Roberto Cirillo

- % Done changed from 50 to 80

Removed catalogue-ws by ansible

#10 - Apr 30, 2019 05:37 PM - Lucio Lelii

- Status changed from Feedback to Closed

#11 - May 13, 2019 02:30 PM - Roberto Cirillo

- Status changed from Closed to In Progress

- Assignee changed from Lucio Lelii to Roberto Cirillo

#12 - May 13, 2019 02:31 PM - Roberto Cirillo

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

All the services have been removed from SmartArea. Now this ticket can be closed.
